---
title: Navigator.battery
slug: Web/API/Navigator/battery
tags:
  - API
  - Battery
  - Battery API
  - Deprecated
  - Device API
  - Navigator
  - Non-standard
  - Property
  - Reference
---
<div>{{ApiRef("Battery API")}}{{deprecated_header}}</div>

<p><span class="seoSummary">The <strong><code>battery</code></strong> read-only property returns a {{DOMxRef("BatteryManager")}} which provides information about the system's battery charge level and whether the device is charging and exposes events that fire when these parameters change. This interface was introduced in early drafts of the <a href="/en-US/docs/Web/API/Battery_Status_API">Battery Status API</a> and but has been replaced with {{JSxRef("Promise")}}-based {{DOMxRef("Navigator.getBattery","Navigator.getBattery()")}}.</span></p>

<div class="note">
<p>The <code>battery</code> property has been removed in favor of the standard {{DOMxRef("Navigator.getBattery","Navigator.getBattery()")}} method, which returns a battery {{JSxRef("Promise")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var battery = navigator.battery;</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.battery")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("Navigator.getBattery","Navigator.getBattery()")}}</li>
 <li><a href="/en-US/docs/Web/API/Battery_Status_API">Battery Status API</a></li>
 <li><a class="external" href="http://hacks.mozilla.org/2012/02/using-the-battery-api-part-of-webapi/">Blog post - Using the Battery API</a></li>
 <li><a class="external" href="http://davidwalsh.name/battery-api">David Walsh on the JavaScript Battery API</a></li>
</ul>
